---
apiVersion: apiextensions.k8s.io/v1
kind: CustomResourceDefinition
metadata:
  annotations:
    controller-gen.kubebuilder.io/version: v0.19.0
  name: containerpatches.kuma.io
spec:
  group: kuma.io
  names:
    categories:
    - kuma
    kind: ContainerPatch
    listKind: ContainerPatchList
    plural: containerpatches
    singular: containerpatch
  scope: Namespaced
  versions:
  - name: v1alpha1
    schema:
      openAPIV3Schema:
        description: ContainerPatch stores a list of patches to apply to init and
          sidecar containers.
        properties:
          apiVersion:
            description: |-
              APIVersion defines the versioned schema of this representation of an object.
              Servers should convert recognized schemas to the latest internal value, and
              may reject unrecognized values.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources
            type: string
          kind:
            description: |-
              Kind is a string value representing the REST resource this object represents.
              Servers may infer this from the endpoint the client submits requests to.
              Cannot be updated.
              In CamelCase.
              More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds
            type: string
          mesh:
            type: string
          metadata:
            type: object
          spec:
            description: ContainerPatchSpec specifies the options available for a
              ContainerPatch
            properties:
              initPatch:
                description: InitPatch specifies jsonpatch to apply to an init container.
                items:
                  description: JsonPatchBlock is one json patch operation block.
                  properties:
                    from:
                      description: From is a jsonpatch from string, used by move and
                        copy operations.
                      type: string
                    op:
                      description: Op is a jsonpatch operation string.
                      enum:
                      - add
                      - remove
                      - replace
                      - move
                      - copy
                      type: string
                    path:
                      description: Path is a jsonpatch path string.
                      type: string
                    value:
                      description: |-
                        Value must be a string representing a valid json object used
                        by replace and add operations. String has to be escaped with " to be valid a json object.
                      type: string
                  required:
                  - op
                  - path
                  type: object
                type: array
              sidecarPatch:
                description: SidecarPatch specifies jsonpatch to apply to a sidecar
                  container.
                items:
                  description: JsonPatchBlock is one json patch operation block.
                  properties:
                    from:
                      description: From is a jsonpatch from string, used by move and
                        copy operations.
                      type: string
                    op:
                      description: Op is a jsonpatch operation string.
                      enum:
                      - add
                      - remove
                      - replace
                      - move
                      - copy
                      type: string
                    path:
                      description: Path is a jsonpatch path string.
                      type: string
                    value:
                      description: |-
                        Value must be a string representing a valid json object used
                        by replace and add operations. String has to be escaped with " to be valid a json object.
                      type: string
                  required:
                  - op
                  - path
                  type: object
                type: array
            type: object
        type: object
    served: true
    storage: true
